Jack2: _alsa_driver Struct Reference

Jack2 1.9.12

Public Attributes | List of all members
_alsa_driver Struct Reference

## Public Attributes
JACK_DRIVER_NT_DECL int | poll_timeout
jack_time_t | poll_last
jack_time_t | poll_next
char ** | playback_addr
char ** | capture_addr
const snd_pcm_channel_area_t * | capture_areas
const snd_pcm_channel_area_t * | playback_areas
struct pollfd * | pfd
unsigned int | playback_nfds
unsigned int | capture_nfds
unsigned long | interleave_unit
unsigned long * | capture_interleave_skip
unsigned long * | playback_interleave_skip
channel_t | max_nchannels
channel_t | user_nchannels
channel_t | playback_nchannels
channel_t | capture_nchannels
unsigned long | playback_sample_bytes
unsigned long | capture_sample_bytes
jack_nframes_t | frame_rate
jack_nframes_t | frames_per_cycle
jack_nframes_t | capture_frame_latency
jack_nframes_t | playback_frame_latency
unsigned long * | silent
char * | alsa_name_playback
char * | alsa_name_capture
char * | alsa_driver
bitset_t | channels_not_done
bitset_t | channels_done
snd_pcm_format_t | playback_sample_format
snd_pcm_format_t | capture_sample_format
float | max_sample_val
unsigned long | user_nperiods
unsigned int | playback_nperiods
unsigned int | capture_nperiods
unsigned long | last_mask
snd_ctl_t * | ctl_handle
snd_pcm_t * | playback_handle
snd_pcm_t * | capture_handle
snd_pcm_hw_params_t * | playback_hw_params
snd_pcm_sw_params_t * | playback_sw_params
snd_pcm_hw_params_t * | capture_hw_params
snd_pcm_sw_params_t * | capture_sw_params
jack_hardware_t * | hw
ClockSyncStatus * | clock_sync_data
jack_client_t * | client
JSList * | capture_ports
JSList * | playback_ports
JSList * | monitor_ports
unsigned long | input_monitor_mask
char | soft_mode
char | hw_monitoring
char | hw_metering
char | all_monitor_in
char | capture_and_playback_not_synced
char | playback_interleaved
char | capture_interleaved
char | with_monitor_ports
char | has_clock_sync_reporting
char | has_hw_monitoring
char | has_hw_metering
char | quirk_bswap
ReadCopyFunction | read_via_copy
WriteCopyFunction | write_via_copy
int | dither
dither_state_t * | dither_state
SampleClockMode | clock_mode
JSList * | clock_sync_listeners
pthread_mutex_t | clock_sync_lock
unsigned long | next_clock_sync_listener_id
int | running
int | run
int | poll_late
int | xrun_count
int | process_count
alsa_midi_t * | midi
int | xrun_recovery

## Detailed Description

Definition at line 57 of file alsa_driver.h.

The documentation for this struct was generated from the following file:

- alsa_driver.h